{% extends "baseFront.html.twig" %}
{% block proposerEvenement %}

    <script type="text/javascript" src="{{ asset('moment.js') }}"></script>
    <style>
        .red{
            color  : red;
        }
    </style>
    <link rel="stylesheet" href="{{ asset('notif/lobibox.min.css') }}"/>

    <link rel="stylesheet" href="{{ asset('datePicker.css') }}" type="text/css">
    <div class="row">
        <div class="col-md-3"> </div>
        <div class="col-lg-6">
            <div class="card">
                <div class="card-body">
                    <div class="card-title">
                        <h3 class="text-center title-2">Ajouter un evenement</h3>
                    </div>
                    <hr>
                    {#<form action="" method="post" novalidate="novalidate">#}
                    {{ form_start(form, {'attr': {'onsubmit':'return validateForm()' }} ) }}

                    <div class="form-group">
                        <label for="cc-payment" class="control-label mb-1">Nom</label>
                        {{ form_widget(form.nom, {'attr': {'class': 'form-control datetime-local'}}) }}
                    </div>
                    <div class="form-group">
                        <label for="cc-payment" class="control-label mb-1">Description</label>
                        {{ form_widget(form.description, {'attr': {'class': 'form-control datetime-local'}}) }}
                    </div>
                    <div class="form-group">
                        <label for="cc-payment" class="control-label mb-1">Selectionner une image</label>
                        {{ form_widget(form.imageFile, {'attr': {'class': 'form-control'}}) }}
                    </div>
                    <div class="form-group">
                        <label for="cc-payment" class="control-label mb-1">Prix</label>
                        {{ form_widget(form.prix, {'id':'prix','attr': {'class': 'form-control' , 'onkeyup':'verifPrix()'}}) }}
                        <span id="msgprix"> </span>
                    </div>
                    <div class="form-group">
                        <label for="cc-payment" class="control-label mb-1">Date</label> <br>
                        {{ form_widget(form.date ,{'id':'date'}) }}
                    </div>
                    <div class="form-group">
                        <label for="cc-payment" class="control-label mb-1">Selectionner type</label>
                        {{ form_widget(form.Type, {'id':'type','attr': {'class': 'form-control' }}) }}
                    </div>
                    <div class="form-group">
                        <label for="cc-payment" class="control-label mb-1">Selectionner espace</label>
                        {{ form_widget(form.Espace, {'id':'espace','attr': {'class': 'form-control' }}) }}
                        <span id="msg"> </span>
                    </div>

                </div>
                <button id="payment-button" type="submit" class="btn btn-dark">Ajouter evenement</button>
                {#</form>#}
                {{ form_end(form) }}


            </div>
        </div>
    </div>
    </div>

{% endblock %}

{% block js %}
    <script src="{{ asset('notif/lobibox.js') }}"></script>
    <script src="{{ asset('datePicker.js') }}"></script>

    <script>
        var prixtest = false ;

        $(document).ready(function() {

            var espaceId = $("#espace")
                .children("option:selected")
                .val();
            verifAjax(espaceId);

            $("#espace").change(function() {

                var espaceId = $(this)
                    .children("option:selected")
                    .val();
                verifAjax(espaceId);
            });
        });
        function verifAjax(data,places){
            var test =   $.ajax({
                type: "GET",
                url: "{{ path('verificationEspaceEvenement') }}",
                data: {
                    'espace_id' : data
                    ,'places' : places
                },
                dataType: "text",
                success: function(msg){
                    offre = msg ;

                    if(offre == "false"){
                        $("#msg").empty();
                        $("#msg").append('<p class="red">  Cet espace ne supporte pas le nombre des visiteurs  </p>')
                    }else{
                        $("#msg").empty();
                    }
                }
            });
        }

        function validateForm(){


            var date1 = $("#date").val();

            var d1 = moment(date1, "YYYY-MM-DD").add(1, 'days');
            var d2 = new Date();

            if(d1 < d2)
            {
                Lobibox.notify('error', {
                    title: 'Date erreur ',
                    msg: 'date evenement <  date  aujourd hui'
                });
                return false;
            }

            if(!prixtest)
            {
                Lobibox.notify('error', {
                    title: 'prix',
                    msg: 'Vérifier le prix'
                });
                return false;
            }

            Lobibox.notify('success', {
                title: 'evenement ajout',
                msg: 'Votre evenement est ajouté avec succes'

            });


            setTimeout(()=>{
                return true ;
            },4000)


        }
        function verifPrix(){
            val = document.getElementById('prix').value;
            if( !$.isNumeric( val)){
                $("#msgprix").empty();
                $("#msgprix").append('<p class="red">  le prix doit etre numerique  </p>')
                prixtest = false ;
            }else{
                $("#msgprix").empty();
                if(val <= 0 ){
                    $("#msgprix").empty();
                    $("#msgprix").append('<p class="red">  le prix doit etre positif </p>')
                    prixtest = false ;
                }else{
                    $("#msgprix").empty();
                    prixtest = true ;
                }
            }
        }
    </script>

{% endblock %}